package com.njcn.csdevice.utils;

import com.njcn.common.pojo.exception.BusinessException;

import java.util.regex.Pattern;

/**
 * Description:
 * Date: 2024/12/17  14:29【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public class StringUtil {
    public static void containsSpecialCharacters(String str) {
        // 定义包含特殊字符的正则表达式
        String specialChars = "[<>%'%;()&+/\\\\-\\\\\\\\_|@*?#$!,.]|html";
        // 创建Pattern对象
        Pattern pattern = Pattern.compile(specialChars);
        // 使用Pattern对象的matcher方法检查字符串
        if(pattern.matcher(str).find()){
            throw new BusinessException("存在特殊字符[<>\"'%;()&+//\\-———|@*_?#$!,.html]");
        }

    }

    public static void main(String[] args) {
        StringUtil.containsSpecialCharacters("*");
    }
}
